Loading...
Searching...
No Matches
casacore::casacore_allocator< T, ALIGNMENT > Struct Template Reference

`#include <Allocator.h>`

## Classes

struct | rebind

## Public Types

typedef std11_allocator< T > | Super
using | size_type
using | difference_type
using | pointer
using | const_pointer
using | reference
using | const_reference
using | value_type

## Public Member Functions

| casacore_allocator () noexcept=default
| casacore_allocator (const casacore_allocator &other) noexcept=default
template<typename TOther>
| casacore_allocator (const casacore_allocator< TOther > &) noexcept
| ~casacore_allocator () noexcept=default
pointer | allocate (size_type elements, const void *=0)
void | deallocate (pointer ptr, size_type)

## Static Public Attributes

static constexpr size_t | alignment

## Detailed Description

template<typename T, size_t ALIGNMENT = CASA_DEFAULT_ALIGNMENT>
struct casacore::casacore_allocator< T, ALIGNMENT >

Definition at line 79 of file Allocator.h.

## Member Typedef Documentation

## const_pointer

template<typename T, size_t ALIGNMENT = CASA_DEFAULT_ALIGNMENT>

using casacore::casacore_allocator< T, ALIGNMENT >::const_pointer

Definition at line 84 of file Allocator.h.

## const_reference

template<typename T, size_t ALIGNMENT = CASA_DEFAULT_ALIGNMENT>

using casacore::casacore_allocator< T, ALIGNMENT >::const_reference

Definition at line 86 of file Allocator.h.

## difference_type

template<typename T, size_t ALIGNMENT = CASA_DEFAULT_ALIGNMENT>

using casacore::casacore_allocator< T, ALIGNMENT >::difference_type

Definition at line 82 of file Allocator.h.

## pointer

template<typename T, size_t ALIGNMENT = CASA_DEFAULT_ALIGNMENT>

using casacore::casacore_allocator< T, ALIGNMENT >::pointer

Definition at line 83 of file Allocator.h.

## reference

template<typename T, size_t ALIGNMENT = CASA_DEFAULT_ALIGNMENT>

using casacore::casacore_allocator< T, ALIGNMENT >::reference

Definition at line 85 of file Allocator.h.

## size_type

template<typename T, size_t ALIGNMENT = CASA_DEFAULT_ALIGNMENT>

using casacore::casacore_allocator< T, ALIGNMENT >::size_type

Definition at line 81 of file Allocator.h.

## Super

template<typename T, size_t ALIGNMENT = CASA_DEFAULT_ALIGNMENT>

typedef std11_allocator<T> casacore::casacore_allocator< T, ALIGNMENT >::Super

Definition at line 80 of file Allocator.h.

## value_type

template<typename T, size_t ALIGNMENT = CASA_DEFAULT_ALIGNMENT>

using casacore::casacore_allocator< T, ALIGNMENT >::value_type

Definition at line 87 of file Allocator.h.

## Constructor & Destructor Documentation

## casacore_allocator() [1/3]

template<typename T, size_t ALIGNMENT = CASA_DEFAULT_ALIGNMENT>

casacore::casacore_allocator< T, ALIGNMENT >::casacore_allocator | ( |  | ) |

default noexcept

## casacore_allocator() [2/3]

template<typename T, size_t ALIGNMENT = CASA_DEFAULT_ALIGNMENT>

casacore::casacore_allocator< T, ALIGNMENT >::casacore_allocator | ( | const casacore_allocator< T, ALIGNMENT > & | other | ) |

default noexcept

## casacore_allocator() [3/3]

template<typename T, size_t ALIGNMENT = CASA_DEFAULT_ALIGNMENT>
template<typename TOther>

casacore::casacore_allocator< T, ALIGNMENT >::casacore_allocator | ( | const casacore_allocator< TOther > & |  | ) |

inline noexcept

Definition at line 100 of file Allocator.h.

## ~casacore_allocator()

template<typename T, size_t ALIGNMENT = CASA_DEFAULT_ALIGNMENT>

casacore::casacore_allocator< T, ALIGNMENT >::~casacore_allocator | ( |  | ) |

default noexcept

## Member Function Documentation

## allocate()

template<typename T, size_t ALIGNMENT = CASA_DEFAULT_ALIGNMENT>

pointer casacore::casacore_allocator< T, ALIGNMENT >::allocate | ( | size_type | elements,
|  | const void * | = 0 )

inline

Definition at line 104 of file Allocator.h.

## deallocate()

template<typename T, size_t ALIGNMENT = CASA_DEFAULT_ALIGNMENT>

void casacore::casacore_allocator< T, ALIGNMENT >::deallocate | ( | pointer | ptr,
|  | size_type | )

inline

Definition at line 116 of file Allocator.h.

## Member Data Documentation

## alignment

template<typename T, size_t ALIGNMENT = CASA_DEFAULT_ALIGNMENT>

size_t casacore::casacore_allocator< T, ALIGNMENT >::alignment

static constexpr

Definition at line 89 of file Allocator.h.

The documentation for this struct was generated from the following file:

- casa/Containers/Allocator.h